package com.eitc.patient.enums;

/**
 * PatientMarriageEnum
 *
 * @author mtx
 * @date: 2024/05/20 17:01
 */
public enum PatientMarriageEnum {

    // 婚姻（1未婚，2已婚，3丧偶，4离婚）
    UNMARRIED(1, "未婚"),
    MARRIED(2, "已婚"),
    WIDOW(3, "丧偶"),
    DIVORCE(4, "离婚");

    private final Integer code;
    private final String info;

    PatientMarriageEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
